﻿    



/* ============================= */
/*          FORM                 */
/* ============================= */


    /* Grids */
    .dgb-form-vardera-grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 5rem;
        align-items: center;
    }

    .dgb-vardera-form {
        display: flex;
        flex-wrap: wrap;
        gap: 1.8rem;
        max-width: 900px;
        margin: 0 auto;
    }

    .dgb-vardera-form img{
        border-radius:1rem;
    }

    /* GROUPS */
    .dgb-form-group.full {
        flex: 0 0 100%;
    }

    .dgb-form-group.half {
        flex: 0 0 calc(50% - 1rem);
    }

    .form-floating > .form-control {
        padding: 1.3rem 1.2rem;
        height: 4.2rem;
        background: var(--dgb-white);
        border-radius: .6rem;
        border: 1px solid #ebebeb;
        font-size: 1rem;
    }

    .form-floating > label {
        padding: 1.25rem;
        font-size: 1rem;
        color: #777;
    }

    .form-control:focus {
        border-color: var(--dgb-primary);
        box-shadow: 0 0 0 .25rem rgba(219,94,74,0.15);
        background: #fff;
    }

    /* Buttons Inputs */
        
    .dgb-vardera-btn {
        margin-top: 1rem;
    }

    .form-check-input {
        width: 1.25em;
        height: 1.25em;
    }

    .form-floating > .form-control-plaintext ~ label::after, .form-floating > .form-control:focus ~ label::after, .form-floating > .form-control:not(:placeholder-shown) ~ label::after, .form-floating > .form-select ~ label::after {
        background: 0;
    }

    .dgb-checkbox-wrap {
        display: flex;
        align-items: center;
        gap: .6rem;
        flex-wrap: wrap;
        margin-top: .5rem;
        width:100%;
    }

    /* Form floating > Textarea */
    .form-floating textarea.form-control {
        height: auto !important;
        min-height: 100px; /* ändra efter smak */
        resize: vertical;
        padding-top: 1.4rem;
        padding-bottom: .8rem;
    }

    .form-floating > textarea.form-control:focus ~ label,
    .form-floating > textarea.form-control:not(:placeholder-shown) ~ label {
        opacity: .65;
        transform: scale(.85) translateY(-.6rem) translateX(.15rem);
    }

    .dgb-block-label {
        font-weight: 600;
        font-size: 1.125rem;
        display: block;
        background: #ffe5e9;
        padding: 1rem;
        border-radius: .45rem;
        margin: 1rem 0;
    }

    .dgb-rental-options {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
        gap: 1rem;
        margin-bottom: 1.2rem;
    }

    .dgb-rental-option {
        display: flex;
        align-items: center;
        gap: 0.6rem;
        background: #f5f5f5;
        padding: 0.9rem 1rem;
        border-radius: 10px;
        border: 1px solid #e5e5e5;
        cursor: pointer;
        transition: background .2s ease, border-color .2s ease;
    }

    .custom-date-wrapper {
        display: none;
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
        margin-bottom: 1.2rem;
    }

    .dgb-vehicle-box img{
        width:3rem;
    }

    /* Radio buttons */

    .dgb-rental-option input[type="radio"] {
        transform: scale(1.25);
    }

    .dgb-rental-option:hover {
        background: #eee;
        border-color: #d3d3d3;
    }

    .dgb-rental-option input[type="radio"]:checked + span {
        font-weight: 700;
    }

    .dgb-vehicle-option input[type="radio"] {
        display: none;
    }

    .dgb-vehicle-option {
        cursor: pointer;
    }

    .dgb-vehicle-option input[type="radio"]:checked + .dgb-vehicle-box {
        border: 2px solid var(--dgb-primary);
        border-radius: .25rem
    }

        .dgb-vehicle-option input[type="radio"]:checked + .dgb-vehicle-box span {
            color: var(--dgb-primary);
        }

        .dgb-vehicle-option input[type="radio"]:checked + .dgb-vehicle-box img {
            opacity: 1;
        }


    /* Booking form addition */

    .dgb-rental-block-inner {
        display: grid;
        grid-template-columns: 1fr;
        gap: 2rem;
    }

    .dgb-vehicle-box {
        display: flex;
        flex-direction: column;
        padding: 2rem;
        align-items: center;
    }

    .dgb-book-title {
        font-size: 2rem;
        font-weight: 700;
        margin-bottom: 0.5rem;
    }

    .dgb-book-intro {
        font-size: 1.1rem;
        color: #555;
        margin-bottom: 2rem;
    }

    .dgb-price-box {
        padding: 1rem 1.4rem;
        background: #f8f8f8;
        border-radius: 8px;
        border: 1px solid #e4e4e4;
        display: flex;
        justify-content: space-between;
        font-size: 1rem;
        font-weight: 600;
    }

    .dgb-display-reset{
        display:flex;
        width:100%;
        gap:2rem;
    }

    .dgb-vehicle-options {
        border: 1px solid #eaeaea;
        border-radius: .6rem;
        background: #f1f1f2;
        display: flex;
        gap: 1rem;
        align-items: center;
        min-height: 200px;
        padding: 1rem;
    }

    .dgb-rental-contact {
        display: flex;
        gap: 1.2rem;
        flex-wrap: wrap;
    }

    .dgb-validation{
        display:flex;
        flex-direction:column;
        gap:1rem;
    }

    .dgb-vardera-img-wrap {
        width: 100%;
    }

    .dgb-vardera-img {
        width: 100%;
        border-radius: 1rem;
        object-fit: cover;
    }

    .lb-policy-link {
        color: var(--dgb-dark);
        text-decoration: none;
        margin-left: .4rem;
        font-weight: 500;
    }

    /* Validation */

    .form-floating .invalid-feedback {
        position: absolute;
        top: 50%;
        left: 1.2rem;
        transform: translateY(-50%);
        margin: 0;
        font-size: 1rem;
        color: var(--dgb-primary);
        opacity: 0;
        pointer-events: none;
        transition: opacity .2s ease;
    }

    .form-floating .form-control.is-invalid ~ label,
    .was-validated .form-floating .form-control:invalid ~ label {
        opacity: 0;
    }

    .form-floating .form-control.is-invalid ~ .invalid-feedback,
    .was-validated .form-floating .form-control:invalid ~ .invalid-feedback {
        opacity: 1;
    }

    .form-control.is-invalid,
    .was-validated .form-control:invalid {
        background-image: none !important;
        border-color: var(--dgb-primary);
    }

    .form-control.is-invalid,
    .was-validated .form-control:invalid {
        border-color: var(--dgb-primary);
        background-image: none;
    }

    .invalid-feedback {
        font-size: .95rem;
    }

    .invalid-feedback-message {
        background: #ffe0db;
        padding: 20px;
        border-radius: .65rem;
        margin-top: 1rem;
        font-size: .95rem;
        color: #9d2512;
    }

    .invalid-feedback-message {
        animation: fadeDown .25s ease;
    }

    @keyframes fadeDown {
        from {
            opacity: 0;
            transform: translateY(-4px);
        }

        to {
            opacity: 1;
            transform: translateY(0);
        }
    }

    .invalid-feedback-message {
        display: none;
    }

    .was-validated .form-check-input:invalid ~ .invalid-feedback-message {
        display: block;
    }

    /* Mobile */
    @media (max-width: 992px) {
        .dgb-form-vardera-grid {
            grid-template-columns: 1fr;
        }

        .dgb-vardera-img-wrap {
            order: -1;
        }

        .dgb-form-group.half {
            flex: 0 0 100%;
        }
    }

    @media (max-width: 768px) {
        .dgb-rental-options {
            grid-template-columns: 1fr;
        }

        .custom-date-wrapper {
            grid-template-columns: 1fr;
        }
    }


    /* ==============================
    BO REKLAMATIOM (flat + soft mode)
    ============================== */

    .bo-rec-main {
        display: flex;
        flex-wrap: wrap;
        gap: 2rem;
    }

    .bo-rec-r {
        background: var(--dgb-primary);
        border-radius: 1.25rem;
        background: rgba(242, 250, 255, 0.95);
        text-align: center;
        width: fit-content;
        max-width: 25rem;
        margin: 0 auto;
        padding: 2.5rem 4rem 2.8125rem 4rem;
        height: fit-content;
    }

    .bo-req-radios{
        width: 100%;
        background:#fafafa;
        padding:1.3rem 1.2rem;
        border-radius:.6rem;
        border: 1px solid #ebebeb;
    }

    .bo-rec-ibox{
        display: flex;
        flex-direction: column;
        gap:1rem;
        align-items: center;
    }